conversions.hpp File Reference

Commonly used conversions. More...

`#include <chrono>`
`#include <time.h>`
Include dependency graph for conversions.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

template<typename Clock , typename Duration = typename Clock::duration>
timespec | pmem::detail::timepoint_to_timespec (const std::chrono::time_point< Clock, Duration > &timepoint)
| Convert std::chrono::time_point to posix timespec. More...

## Detailed Description

Commonly used conversions.

## Function Documentation

## timepoint_to_timespec()

template<typename Clock , typename Duration = typename Clock::duration>

timespec pmem::detail::timepoint_to_timespec | ( | const std::chrono::time_point< Clock, Duration > & | timepoint | ) |

Convert std::chrono::time_point to posix timespec.

Parameters

  [in] | timepoint | point in time to be converted.

Returns
  converted timespec structure.